%define oname   daemons

Name:       ruby-%{oname}
Version:    1.1.9
Release:    %mkrel 9
Summary:    A toolkit to create and control daemons in different ways
License:    BSD and Ruby License
Group:      Development/Ruby
URL:        http://daemons.rubyforge.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Daemons provides an easy way to wrap existing ruby scripts (for example
a self-written server) to be run as a daemon and to be controlled by simple
start/stop/restart commands. You can also call blocks as daemons and
control them from the parent or just daemonize the current process. Besides
this basic functionality, daemons offers many advanced features like
exception backtracing and logging (in case your ruby script crashes) and
monitoring and automatic restarting of your processes if they crash.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_instdir}/.yardoc

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc examples
%doc %{gem_docdir}
%doc README
%doc Releases
%doc TODO


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.1.9-9.mga4
+ Revision: 561829
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.1.9-8.mga4
+ Revision: 561139
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.1.9-7.mga4
+ Revision: 535354
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.1.9-6.mga4
+ Revision: 481947
- Rebuild for Ruby 2

* Wed Sep 11 2013 pterjan <pterjan> 1.1.9-5.mga4
+ Revision: 477410
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1.1.9-4.mga3
+ Revision: 395825
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.9-3.mga3
+ Revision: 380768
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.1.9-2.mga3
+ Revision: 312810
- rebuild for new ruby

* Sun Aug 19 2012 shlomif <shlomif> 1.1.9-1.mga3
+ Revision: 282285
- New version 1.1.9 (thanks to aghero)

* Tue Jun 12 2012 solbu <solbu> 1.1.8-1.mga3
+ Revision: 260072
- Remove yardoc
- New version
- Spec cleanup

* Sun Apr 17 2011 shikamaru <shikamaru> 1.1.2-1.mga1
+ Revision: 87152
- new version 1.1.2

* Sat Feb 12 2011 shikamaru <shikamaru> 1.1.0-2.mga1
+ Revision: 50921
- imported package ruby-daemons


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.0-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 579409
- new release: 1.1.0
- don't install gem archive
- remove manual ruby dependency

* Tue Feb 02 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.10-1mdv2010.1
+ Revision: 499399
- import ruby-daemons


* Mon Feb  1 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.10
- initial release
